package cn.com.qmth.markingaudit.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.github.benmanes.caffeine.cache.Cache;
import com.github.benmanes.caffeine.cache.Caffeine;

import cn.com.qmth.markingaudit.support.CaffeineExpiry;

@Configuration
public class CaffeineConfig {

    @Bean
    public Cache<String, Object> caffeineCache() {
        return Caffeine.newBuilder().expireAfter(new CaffeineExpiry()).initialCapacity(100).maximumSize(1000).build();
    }
}
