package cn.com.qmth.markingaudit.service.impl;

import java.util.concurrent.TimeUnit;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.github.benmanes.caffeine.cache.Cache;

@Component
public class CaffeineCacheService {

    @Autowired
    Cache<String, Object> caffeineCache;

    public void set(String key, Object value, long duration, TimeUnit unit) {
        caffeineCache.policy().expireVariably().ifPresent(e -> {
            e.put(key, value, duration, unit);
        });
    }

    @SuppressWarnings("unchecked")
    public <T> T get(String key) {
        return (T) caffeineCache.getIfPresent(key);
    }
}
